Macaulay2 » Documentation
Packages » Macaulay2Doc » The Macaulay2 language » Type » Ring » EngineRing » GaloisField » ambient(GaloisField)
next | previous | forward | backward | up | index | toc

# ambient(GaloisField) -- corresponding quotient ring

- Function: ambient
- Usage:
    `ambient F`
- Inputs:
  - F, a Galois field
- Outputs:
  - a ring, a quotient of a polynomial ring over the prime field

## Description

description

    i1 : F = GF(25,Variable=>a)

    o1 = F

    o1 : GaloisField

    i2 : ambient F

            ZZ
            --[a]
             5
    o2 = ----------
          2
         a  - a + 2

    o2 : QuotientRing

## Ways to use this method:

- ambient(GaloisField) -- corresponding quotient ring

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/functions/ambient-doc.m2:57:0.